# PRatExpDerivationVisitor< Series, T > Class Template Reference

This class performs partial rational expression derivations. More...

Inherits vcsn::rat::ConstNodeVisitor< T::monoid_elt_value_t, T::semiring_elt_value_t >.

List of all members.

## Detailed Description

### template<typename Series, typename T>
class vcsn::PRatExpDerivationVisitor< Series, T >

This class performs partial rational expression derivations.

Bug:

  FIXME: This class heavily lacks of documentation.

  FIXME: Make list be a unique container.

Definition at line 93 of file partial_rat_exp_derivation.hxx.